#ifndef __CODECONV_H__
#define __CODECONV_H__

#include <glib.h>

typedef void (*CodeConvFunc) (gchar *outbuf, gint outlen, const gchar *inbuf);

void conv_jistoeuc(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_euctojis(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_sjistoeuc(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_anytoeuc(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_anytojis(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_unreadable_eucjp(gchar *str);
void conv_unreadable_8bit(gchar *str);
void conv_mb_alnum(gchar *str);

void conv_jistodisp (gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_sjistodisp(gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_euctodisp (gchar *outbuf, gint outlen, const gchar *inbuf);
void conv_ustodisp  (gchar *outbuf, gint outlen, const gchar *inbuf);

#endif /* __CODECONV_H__ */
